query approval($id: ID!, $block: Block_height){
    approval(id: $id, block: $block){
        id
        owner
        approved
        tokenId
        blockNumber
        blockTimestamp
        transactionHash
    }
}